Package org.apache.lucene.store

## Class LockStressTest

- java.lang.Object
- - org.apache.lucene.store.LockStressTest

-     public class LockStressTest
      extends Object

  Simple standalone tool that forever acquires and releases a lock using a specific `LockFactory`. Run without any args to see usage.
  See Also:
    `VerifyingLockFactory`, `LockVerifyServer`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LockStressTest()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(String[] args)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LockStressTest

          public LockStressTest()

  - ### Method Detail

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Throws:
        `Exception`